unit Bild1B;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls;

// TMovie muss hier als Klasse vereinbart werden!
type
  TMovie = class(TImage)
  end;

  TForm1 = class(TForm)
    procedure FormCreate(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

const Pfad = '.\bilder\';  // 'c:\delphi\buch\bilder\';


// Movie1 als Objekt vereinbaren
var
  Form1 : TForm1;
  Movie1: TMovie;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
  // (ererbten) Konstruktor aufrufen
  Movie1 := TMovie.Create (Self);
  // Self = Objekt, das diese Methode aufruft
  // Movie1 an Form1 (als übergeordnetes Objekt) binden
  Movie1.Parent := Self;
  // Maße festlegen
  Movie1.Width  := 180;
  Movie1.Height := 270;
  // Position festlegen
  Movie1.Left := 160;
  Movie1.Top  :=  50;
  // Bilddatei laden und anzeigen
  try
    Movie1.Picture.LoadFromFile (Pfad+'Figur01.bmp');
    Movie1.Show;
  except
    Caption := 'Kein Bild!';
  end;
end;

end.
